package iitb.cfilt.cpost.lexicon;

public class LexGeneralRule {
	String suffixToAdd;
	String suffixToDelete;
	char clas;
	String morphAnalysis;
	String suffixObserved;
	
	public LexGeneralRule(){
		this.suffixToAdd = "";
		this.suffixToDelete = "";
		this.clas = ' ';
		this.morphAnalysis = "";
		this.suffixObserved = "";
	}
	
	public LexGeneralRule(String suffixToAdd, String suffixToDelete, char clas, String morphAnalysis, String suffixObserved) {		
		this.suffixToAdd = suffixToAdd;
		this.suffixToDelete = suffixToDelete;
		this.clas = clas;
		this.morphAnalysis = morphAnalysis;
		this.suffixObserved = suffixObserved;
	}
	public char getClas() {
		return clas;
	}
	public void setClas(char clas) {
		this.clas = clas;
	}
	public String getMorphAnalysis() {
		return morphAnalysis;
	}
	public void setMorphAnalysis(String morphAnalysis) {
		this.morphAnalysis = morphAnalysis;
	}
	public String getSuffixObserved() {
		if(suffixObserved.equalsIgnoreCase("Null")){
			return "";
		}
		return suffixObserved;
	}
	public void setSuffixObserved(String suffixObserved) {
		this.suffixObserved = suffixObserved;
	}
	public String getSuffixToAdd() {
		if(suffixToAdd.equalsIgnoreCase("Null")){
			return "";
		}
		return suffixToAdd;
	}
	public void setSuffixToAdd(String suffixToAdd) {
		this.suffixToAdd = suffixToAdd;
	}
	public String getSuffixToDelete() {
		if(suffixToDelete.equalsIgnoreCase("Null")){
			return "";
		}
		return suffixToDelete;
	}
	public void setSuffixToDelete(String suffixToDelete) {
		this.suffixToDelete = suffixToDelete;
	}
}
